## ros-indigo-geneus 2.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geneus)
find_package(catkin REQUIRED COMPONENTS genmsg)

catkin_package(
  CATKIN_DEPENDS genmsg
  CFG_EXTRAS geneus-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/geneus "EusLisp")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/geneus
  DESTINATION ${GENMSG_LANGS_DESTINATION})

# drop marker file to prevent rospack from spending time on crawling this folder
file(WRITE ${CATKIN_DEVEL_PREFIX}/share/roseus/rospack_nosubdirs "")
install(FILES ${CATKIN_DEVEL_PREFIX}/share/roseus/rospack_nosubdirs
  DESTINATION share/roseus)

catkin_python_setup()

=== scripts/CMakeLists.txt ===
catkin_install_python(
  PROGRAMS gen_eus.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-geneus (2.2.6-0trusty) trusty; urgency=high

  * [geneus_main.py] suppress warning (#52 <https://github.com/jsk-ros-pkg/geneus/issues/52>)
    * [geneus_main.py] do not write timestamp that makes different md5
    * [geneus_main.py] write depends by alphabetical order in manifest.l
  * [.travis.yml] : add jade test  (#49 <https://github.com/jsk-ros-pkg/geneus/issues/49>)
    * .travis.yml: add BUILDER=catkin_make_isolated
    * .travis.yml: add indigo/jade and catkin_make/catkin test
  * [geneus_main.py]: add comment : 152683d depends on comment line (#44 <https://github.com/jsk-ros-pkg/geneus/issues/44>)
  * Contributors: Yuki Furuta, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 21 May 2017 15:00:00 -0000

ros-indigo-geneus (2.2.5-0trusty) trusty; urgency=high

  * add status badge to the README.md (#41 <https://github.com/jsk-ros-pkg/geneus/issues/41> )
  * .travis.yml: use before_script and script
  * .travis.yml: rosdep install with -q (quiet)
  * Use package.xml in workspace, not deb installed one (#42 <https://github.com/jsk-ros-pkg/geneus/issues/42> )
    
      * do not overwrite pkg_map
      * add test code to check #42 <https://github.com/jsk-ros-pkg/geneus/issues/42> isseus
      * geneus_main.py: fix THIS FILE IS AUTOMAATICALLY GENERATED... comment
      * use latest released code
    
  * use indiog/14.04 on travis test #40 <https://github.com/jsk-ros-pkg/geneus/issues/40>
    
      * add ppa:openrave/release
      * default-ri-test.launch ->default-ri-test.test
      * install default python, use language:generic
      * ros_comm message has been move to ros_comm_msgs
      * use indigo/14.04
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 20 Nov 2015 15:00:00 -0000

ros-indigo-geneus (2.2.4-0trusty) trusty; urgency=high

  * [src/geneus/generate.py] bool array is list, not lisp-array
  * [src/geneus/generate.py] use list for time type object
  * src/geneus/generate.py fix for variable bool array case, https://github.com/jsk-ros-pkg/jsk_roseus/pull/330
  * [package.xml] Now doesn't depend on python-rospkg
  * Contributors: Kei Okada, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Jul 2015 15:00:00 -0000

ros-indigo-geneus (2.2.3-0trusty) trusty; urgency=high

  * [src/geneus/geneus_main.py] Call get_pkg_map if pkg_map is None
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 18 Jun 2015 15:00:00 -0000

ros-indigo-geneus (2.2.2-0trusty) trusty; urgency=high

  * [.travis.yml] add pr2eus test
  * [src/geneus/generate.py] make intern before shadow, see https://github.com/jsk-ros-pkg/jsk_roseus/issues/313
  * [geneus_main.py] has_key -> in
  * [geneus_main.py] generate message even if geneus is not found
  * Contributors: Kei Okada, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 31 May 2015 15:00:00 -0000

ros-indigo-geneus (2.2.1-0trusty) trusty; urgency=high

  * [geneus_main.py] fix when pkg_map does not have geneus
  * [geneus_main.py] Fix unexpected function resposes caused by python gabage collection algorightm
  * [geneus_main.py] fix typo for warning
  * [geneus_main.py] Yellow color for warnings
  * Contributors: Kei Okada, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-indigo-geneus (2.2.0-0trusty) trusty; urgency=high

  * [generate.py] load roseus-add-msgs for srv too
  * [geneus_main.py] add timestamp message to manifest.l
  * [geneus_main.py] message loding problem https://github.com/start-jsk/2014-semi/issues/196, https://github.com/jsk-ros-pkg/jsk_roseus/issues/257
    
      * [geneus_main.py] gen msg/srv does not need get_pkg_map
      * [geneus_main.py] fix comment and messages
      * [geneus_main.py] use topological_order instaed of rearrange_depends
      * [geneus_main.py] use catkin as a substitute for rospkg
      * [geneus_main.py] see only run_depend in package.xml
      * [geneus_main.py] Resolve package dependencies with attention to the order
    
  * [geneus] treat uint8[] as string like rospy https://github.com/jsk-ros-pkg/geneus/issues/14
    * [generate.py] fixed version of #15 <https://github.com/jsk-ros-pkg/geneus/issues/15> which did not pass test at  https://github.com/jsk-ros-pkg/jsk_roseus/pull/276
  * [geneus_main.py] fix pakcage_dpeneds, to solve https://github.com/start-jsk/2014-semi/issues/196 issue
  * [.travis.yml] use latest version of travis test
  * [.travis.yml] use latest catkin for --no-jobserver option
  * [.travis.yml] Add after failure
  * [.gitignore] initial commit
  * Contributors: Yuki Furuta Kei Okada, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Apr 2015 15:00:00 -0000

ros-indigo-geneus (2.1.2-0trusty) trusty; urgency=high

  * [.travis.yml] remove hot-fix code
  * fix not to use get_depends, which cause eerror when the package is not installed
  * [package.xml] forget to add python-rospkg
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Feb 2015 15:00:00 -0000

ros-indigo-geneus (2.1.1-0trusty) trusty; urgency=high

  * [geneus_main.py] use rospack to find build(only package have msg/src) dependency
  * [.travis.yml] add test code to check work with roseus
  * [src/geneus/geneus_main.py] add comments
  * fix ros::load-ros-package order by dependencies
  * Contributors: Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2015 15:00:00 -0000

ros-indigo-geneus (2.1.0-0trusty) trusty; urgency=high

  * fix message generation for uint8(char)/int8(byte) (#4,#6)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Feb 2015 15:00:00 -0000

ros-indigo-geneus (2.0.1-0trusty) trusty; urgency=high

  * [scripts/gen_eus.py] set executable
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Feb 2015 15:00:00 -0000

ros-indigo-geneus (1.0.0-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-geneus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.78), ros-indigo-genmsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-geneus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-genmsg
Description: EusLisp ROS message and service generators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-geneus//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
